Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037261
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminorhave not tried2017-11-08 11:572017-11-10 13:08
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision126e6c887133
ProjectionnoneETAnoneTarget Version3.0PR17Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2017-05-08
Regression introduced in release3.0PR17Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/554d8c055ea2e7cb078c405634e41c14079bd61e [^]
Triggers an Emergency PackNo
Summary

0037261: Some labels are not properly translated after switching the language

DescriptionSome labels are not properly translated after switching the language. This can be reproduced when there are not modules in "in development" status because in that case the labels are being cached in the client since the changes introduced with the issue 0035852
Steps To Reproduce1) Install the Spanish Localization pack
2) Ensure that there are not modules in "in development" status
3) Log-in as F&B International Group (it has English language by default)
4) Switch to the Spanish language
5) Note that some labels do no appear translated: in the toolbar, profile widget or in the workspace (see attached image).
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0037259 closedcaristu Some labels are not properly translated after switching the language 

-  Notes
(0100366)
hgbot (developer)
2017-11-08 19:23

Repository: erp/backports/3.0PR17Q4
Changeset: 126e6c88713390cfce4ba9808d08ec93b2cc8fce
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Nov 08 19:21:16 2017 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR17Q4/rev/126e6c88713390cfce4ba9808d08ec93b2cc8fce [^]

fixes issue 37261: Some labels are not translated after switching the language

  After the changes introduced on issue 0035852 the labels were being cached together with the rest of the static javascript code. Thus, being in an environment not in "in development" status, the labels were being cached in the language of the first login avoiding the translation when switching to another language afterwards.

  To fix the problem now the component responsible of collecting the labels has been defined as a session dynamic component. This way the labels will be retrieved on every login. And to avoid querying to the database on each login request, the labels are now being cached in the server per language.

---
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/I18NComponent.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelComponentProvider.java
---
(0100367)
hgbot (developer)
2017-11-08 19:23

Repository: erp/backports/3.0PR17Q4
Changeset: a0defd938236b5e013ffb8c03707a5a0165cfa1b
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Nov 08 19:22:12 2017 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR17Q4/rev/a0defd938236b5e013ffb8c03707a5a0165cfa1b [^]

related to issue 37261: adapt test cases to the new component's definition

---
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/freemarker/test/GenerateComponentTest.java
M modules/org.openbravo.client.kernel/src-test/org/openbravo/client/kernel/freemarker/test/LabelTest.java
---
(0100434)
alostale (developer)
2017-11-10 13:08

tested + reviewed

- Issue History
Date Modified Username Field Change
2017-11-08 12:29 caristu Type defect => backport
2017-11-08 12:29 caristu Target Version => 3.0PR17Q4
2017-11-08 19:23 hgbot Checkin
2017-11-08 19:23 hgbot Note Added: 0100366
2017-11-08 19:23 hgbot Status scheduled => resolved
2017-11-08 19:23 hgbot Resolution open => fixed
2017-11-08 19:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR17Q4/rev/126e6c88713390cfce4ba9808d08ec93b2cc8fce [^]
2017-11-08 19:23 hgbot Checkin
2017-11-08 19:23 hgbot Note Added: 0100367
2017-11-08 19:23 caristu Review Assigned To => alostale
2017-11-10 13:08 alostale Note Added: 0100434
2017-11-10 13:08 alostale Status resolved => closed
2017-11-10 13:08 alostale Fixed in Version => 3.0PR17Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker